Log inUsernamePassword
Log me on automatically each visit    
Register
Register
Log in to check your private messages
Log in to check your private messages
SMS Forum Index » Installation Support

Post new topic   Reply to topic
slapt-get
View previous topic :: View next topic  
Author Message
keopp
Senior Member


Joined: 08 Nov 2008
Posts: 162
Location: Romania

PostPosted: Wed Nov 03, 2010 6:04 pm    Post subject: slapt-get Reply with quote

Hi,
I gave a
Code:
installpkg slapt-get-0.10.2e-i486-1sms.txz
to an "old" SMS 1.4.5 installation.
When I tryed
Code:
slapt-get --update
I got the following error:
Code:
slapt-get: relocation error: slapt-get: symbol gpgme_check_version_internal, version GPGME_1.1 not defined in file libgpgme.so.11 with link time reference


Googling parts from this error I found something about the SOURCE declared in slapt-getrc, but didn't gave me any hint.
Will it be enough if I do a
Code:
upgradepkg gpgme-1.2.0-i486-1.txz
over the existing gpgme-1.1.8-i486-1?

Thanks.
Back to top
View user's profile Send private message
gerasimos_h
Site Admin


Joined: 09 Aug 2007
Posts: 1753
Location: Greece

PostPosted: Wed Nov 03, 2010 7:05 pm    Post subject: Reply with quote

Slapt-get was compiled with libgpgme.so.11.7.0, so that will fix slapt-get, I don't know if it breaks something else though.
You can try upgrade gpgme or install slapt-get from 1.4.5 from
http://sms.it-ccs.com/isos/SMS-1.4.3b/testing/slapt-get-0.10.1b-i386-1sms.tgz
If you are trying to upgrade your SMS-1.4.5 installation you better download 1.5.3 switch to single user mode and use "upgradepkg --install-new".

gerasimos_h

_________________
Superb! Mini Server Project Manager
http://sms.it-ccs.com
Back to top
View user's profile Send private message Visit poster's website
keopp
Senior Member


Joined: 08 Nov 2008
Posts: 162
Location: Romania

PostPosted: Wed Nov 03, 2010 7:18 pm    Post subject: Reply with quote

Thank you very much.

No I'm not upgrading the whole installation. Just need slapt-get for clamav, and mailscanner.
I'll give a try to slapt-get-0.10.1b-i386-1sms.tgz.

Thanks again.
Back to top
View user's profile Send private message
gerasimos_h
Site Admin


Joined: 09 Aug 2007
Posts: 1753
Location: Greece

PostPosted: Wed Nov 03, 2010 8:01 pm    Post subject: Reply with quote

For upgrading clamav and mailscanner on an untouched SMS-1.4.5 you will need to upgrade libtool and zlib too, plus you need to build Sys-Sigaction perl module for latest mailscanner.
Partial upgrades are not the best solution, but sometimes they work just fine.

gerasimos_h

_________________
Superb! Mini Server Project Manager
http://sms.it-ccs.com
Back to top
View user's profile Send private message Visit poster's website
keopp
Senior Member


Joined: 08 Nov 2008
Posts: 162
Location: Romania

PostPosted: Wed Nov 03, 2010 8:08 pm    Post subject: Reply with quote

You're right. Thanks very much for advices. I'll follow them strictly.
Slapt-get is working fine now, according with your suggestions.
Back to top
View user's profile Send private message
Display posts from previous:   
Post new topic   Reply to topic    SMS Forum Index » Installation Support All times are GMT + 2 Hours
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You can attach files in this forum
You can download files in this forum

SMS - Superb! Mini Server Project © 2016
Powered by phpBB © 2001, 2002 phpBB Group
iCGstation v1.0 Template By Ray © 2003, 2004 iOptional